<script type="text/javascript">	
$(document).ready(function() {	
	$("#tabs").tabs({selected:0});
	$("#form").load('modul/penjualan/form.php');
	$("#daftar").load('modul/report/daftar_pj.php');
	$("#info_jual").hide();
	
	cari_user();
	cari_tgl();
	
	function cari_user(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/penjualan/cari_user.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#t_user").val(data.user);				
			}
		});
	}
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#t_tgl_awal").val(data.tanggal);
				$("#t_tgl_akhir").val(data.tanggal);				
			}
		});
	}
	
	$("#cari_pj").click(function(){				
		var tgl_awal = $("#t_tgl_awal").val();
		var tgl_akhir = $("#t_tgl_akhir").val();
		var user = $("#t_user").val();
		if(tgl_awal.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_awal").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_akhir").focus();
			return false;
		}				
		$("#tampil_data").show();
		$("#tampil_data").load('modul/penjualan/tampil_data.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&user='+user);
	});
	
	$("#cetak_ft").click(function(){				
		var	kode= $("#t_kodepj").val();
		var	tgl	= $("#t_tanggal").val();
		var	kodeplg= $("#t_kodeplg").val();
		var	namaplg= $("#t_namaplg").val();
		var	tanggaljt= $("#t_tanggaljt").val();
		var	kodesl = $("#t_kodesl").val();
		var	namasl = $("#t_namasl").val();
		var	unit   = $("#t_unit").val();
		window.location.href='modul/laporan/faktur_pj.php?kode='+kode+'&tgl='+tgl+'&kodeplg='+kodeplg+'&namaplg='+namaplg+'&tanggaljt='+tanggaljt+'&kodesl='+kodesl+'&namasl='+namasl+'&unit='+unit;
	});

	$("#tutup_detail").click(function(){
		$("#pencarian").show();
		$("#info_jual").hide();
		$("#tampil_detail").hide();
		$("#tampil_data").show();		
	});
	
	$("#tutup_pj").click(function(){
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#info {
	font-size:12px;
	font-weight:bold;
	color:#F00;
}
</style>

<?php
echo "<div id='tabs'>";
echo "<ul >
	       <li><a href='#form'>INPUT PENJUALAN</a></li>
	       <li><a href='#data'>CETAK NOTA</a></li>
		   <li><a href='#daftar'>DAFTAR PENJUALAN</a></li>
      </ul>";
	  
echo "<div id='form'></div>";
	
echo "<div id='data'>
			<div id='pencarian'>
				<table>
				<tr>
					<input type='text' name='t_user' id='t_user' size='10' hidden/>
					<td>Penjualan tanggal : <input type='date' name='t_tgl_awal' id='t_tgl_awal' size='10'> Sampai dengan <input type='date' name='t_tgl_akhir' id='t_tgl_akhir' size='10'></td>
					<td>
						<button name='cari_pj' id='cari_pj'>Cari</button>
						<button name='tutup_pj' id='tutup_pj'>Tutup</button>
					</td>
				</tr>
				</table>
			</div>

			<div id='tampil_data' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>

			<div id='info_jual'>
				<table>
				<tr>
					<td>No.Faktur : <input type='text' name='t_kodepj' id='t_kodepj' size='10' readonly /></td>
					<td>Tanggal : <input type='date' name='t_tanggal' id='t_tanggal' size='10' readonly /></td>
					<td>Pelanggan : <input type='text' name='t_namaplg' id='t_namaplg' size='23' readonly />
						<input type='text' name='t_kodeplg' id='t_kodeplg' size='3' readonly />
					</td>
					<td>Jatuh Tempo : <input type='text' name='t_jttempo' id='t_jttempo' size='2' > hari <input type='date' name='t_tanggaljt' id='t_tanggaljt' size='10' readonly /></td>
				</tr>
				</table>

				<table width='100%'>
				<tr>
					<input type='text' name='t_kodesl' id='t_kodesl' size='3' hidden />					
					<td>Salesman : <input type='text' name='t_namasl' id='t_namasl' size='20' readonly /> 
						<input type='text' name='t_unit' id='t_unit' size='10' readonly/>
					</td>
					<td align='right'>
						<button name='cetak_ft' id='cetak_ft'>Cetak</button>
						<button name='tutup_detail' id='tutup_detail'>Tutup Detail</button>
					</td>
				</tr>
				</table>
			</div>
	
			<div id='tampil_detail' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>
		</div>";

echo "<div id='daftar'></div>";
		
echo "<div id='info' align='center'></div>";

echo "</div>";
?>